summaryrefslogtreecommitdiffstats
path: root/games/doomseeker/doomseeker.SlackBuild
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2012-01-15 23:39:46 -0600
committer Robby Workman <rworkman@slackbuilds.org>2012-01-15 23:39:46 -0600
commit67c23e9759b47070aa0d06f02244731ac83eb2e7 (patch)
tree8ec5a0eec890b61bd7ef6169bf801fc768097980 /games/doomseeker/doomseeker.SlackBuild
parent2aff3f9702072535e392ee1625562231c3f687b4 (diff)
downloadslackbuilds-67c23e9759b47070aa0d06f02244731ac83eb2e7.tar.gz
slackbuilds-67c23e9759b47070aa0d06f02244731ac83eb2e7.tar.xz
games/doomseeker: Added (server browser for Doom)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'games/doomseeker/doomseeker.SlackBuild')
-rw-r--r--games/doomseeker/doomseeker.SlackBuild100
1 files changed, 100 insertions, 0 deletions
diff --git a/games/doomseeker/doomseeker.SlackBuild b/games/doomseeker/doomseeker.SlackBuild
new file mode 100644
index 0000000000..7485ef4f48
--- /dev/null
+++ b/games/doomseeker/doomseeker.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for doomseeker
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=doomseeker
+VERSION=${VERSION:-0.7b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Top-level dir in tarball doesn't match tarball filename
+TARDIR=${PRGNAM}-2010_src
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARDIR
+tar xvf $CWD/$PRGNAM-${VERSION}_src.tar.bz2
+cd $TARDIR
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ # Buggy cmake install target looks in wrong place for icon
+ ln -s ../media .
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+# Shared lib gets installed to wrong place, easier to fix it here than patch.
+# Also note, doomseeker violates the FHS by placing shared objects in /usr/share
+# (but I won't try to fix that).
+if [ "$LIBDIRSUFFIX" != "" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib$LIBDIRSUFFIX
+fi
+
+# Fix the .desktop file
+sed -i \
+ -e '/^Categories/s/$/;/' \
+ -e '/^Icon/s,=.*,=doomseeker,' \
+ $PKG/usr/share/applications/*desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+ln -s ../$PRGNAM/icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Not only do they not ship docs, there aren't really any on their
+# web site, either. At least the GUI's easy to figure out.
+cp -a LICENSE* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}